Title is not displayed

December 12, 2014 11:29 - Nuno Dias

Status: Rejected Start date: December 12, 2014

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.5.2   

Description

In the tab title, instead of the title the name of the file is displayed.

I have this problem in Fedora 21 (x86_64), I compiled audacious from the source.

History

#1 - December 12, 2014 15:37 - Thomas Lange

Do you mean the playlist tabs?

Please add a screenshot of the issue.

#2 - December 12, 2014 15:58 - Nuno Dias

- File 38.png added

Yes, the playlist tabs, Title, Artit, etc,  you can see in the attach screenshot.

#3 - December 12, 2014 19:34 - John Lindgren

Please do the following:

1. Move ~/.config/audacious to another location to start with default settings.

2. Run "audacious -V > log.txt 2> err.txt".

3. Add a single one of your MP3 files to the playlist and start playing it.

4. Close Audacious.

5. Attach log.txt and err.txt to this bug report.

#4 - December 12, 2014 20:11 - Thomas Lange

I guess the mp3 files simply have an empty ID3 tag.

How do you stream/download them?

By the way, Fedora also packages Audacious. Why do you compile it from source?

#5 - December 15, 2014 12:27 - Nuno Dias

Moving the ~/.config/audacious allowing to create a clean configuration solved the problem.

#6 - December 15, 2014 12:44 - Michael Schwendt

Fedora 21 (x86_64), I compiled audacious from the source.
Just as a personal exercise or because of anything particular?

Note that Fedora 21 includes Audacious 3.5.2 with the MP3 and other plugins being available at RPM Fusion.

Audacious 3.6-alpha1 is available for Fedora 21, too, minus the plugins RPM Fusion would ship, of course:

https://copr.fedoraproject.org/coprs/mschwendt/audacious-next/

#7 - December 15, 2014 15:26 - Nuno Dias

Well, the version in Fedora is not always the last, so I compile the last myself, yes I know right now is the same, but give it a few months and usually

the Fedora package is not the last stable version.

#8 - December 15, 2014 17:26 - John Lindgren

Nuno Dias wrote:

Moving the ~/.config/audacious allowing to create a clean configuration solved the problem.

 

Can you upload .tar.gz's of the old and new configurations so I can compare them?

#9 - December 15, 2014 17:34 - Nuno Dias

- File audacious-ok.tgz added

- File audacious-bad.tgz added

File in attach as requested

#10 - December 21, 2014 17:36 - John Lindgren

If you go back to the old configuration and refresh the playlist (F5), do the titles show up?

#11 - December 22, 2014 18:22 - Nuno Dias

No effect, nothing happens, but when I run audacious from the comand line and press F5, I get this

Cannot convert from locale (UTF-8): Dissecting the Politics and Money Behind Health Care

Cannot convert from locale (UTF-8): Science Friday

Cannot convert from locale (UTF-8): 06/07

Cannot convert from locale (UTF-8): Science Friday Audio Podcast

Cannot convert from locale (UTF-8): 2014-09-18T19:00

Cannot convert from locale (UTF-8): Podcast

Cannot convert from locale (UTF-8): In The Cost of Cutting, private practice surgeon Paul Ruggieri delves into the shadowy ways money influences

health care.

After some debug, filling the "Fallback character encodings:" with ISO-8859-15 the refresh works, and I have the titles.
#12 - December 22, 2014 23:23 - John Lindgren

- Status changed from New to Rejected

Aha.  ISO-8859-1 is the default fallback, which would probably work also.

Files

38.png 1.79 MBDecember 12, 2014 Nuno Dias

audacious-ok.tgz 1.5 KBDecember 15, 2014 Nuno Dias

audacious-bad.tgz 58.5 KBDecember 15, 2014 Nuno Dias
